Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.bmp
Class BMPWrapperPolicy

`java.lang.Object
oracle.toplink.ejb.EJBWrapperPolicy
oracle.toplink.ejb.bmp.BMPWrapperPolicy`

All Implemented Interfaces:
  java.io.Serializable, WrapperPolicy

Direct Known Subclasses:
  BMPLocalWrapperPolicy

public class BMPWrapperPolicy
extends EJBWrapperPolicy

Purpose: Allow for EntityBean descriptors to store information about the bean properties.

Since:
  TOPLink/Java 3.0
See Also:
  Serialized Form

Constructor Summary
`BMPWrapperPolicy(java.lang.String homeLookUpName, java.lang.Class homeInterfaceClass, java.lang.Class primaryKeyClass, java.lang.Class interfaceClass, java.util.Hashtable contextProperties)` This constructor creates a Wrapper policy for a particular bean class

Method Summary
`void` | `checkForNonCustomPrimaryKey(java.lang.Class primaryKeyClass)` Determine based on the primaryKeyClass whether this is a custom primary key
`java.lang.Object` | `lookupWrapperForBean(java.lang.Object bean, java.lang.Object primaryKeyObject, Session session)` Return the remote from the home by primary key.
`java.lang.Object` | `wrapObject(java.lang.Object bean, Session session)` Wrap the bean with its remote.

Methods inherited from class oracle.toplink.ejb.EJBWrapperPolicy
`getHomeInterface, getHomeName, getPrimaryKeyClass, getRemoteInterface, hasCustomPrimaryKey, isTraversable, setHasCustomPrimaryKey, setHomeInterface, setHomeName, setPrimaryKeyClass, setRemoteInterface, unwrapObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BMPWrapperPolicy

    public BMPWrapperPolicy(java.lang.String homeLookUpName,
                            java.lang.Class homeInterfaceClass,
                            java.lang.Class primaryKeyClass,
                            java.lang.Class interfaceClass,
                            java.util.Hashtable contextProperties)
                     throws ValidationException

  This constructor creates a Wrapper policy for a particular bean class
Parameters:
  `homeLookUpName` - java.lang.String
  `homeInterfaceClass` - java.lang.String
  `interfaceClass` - java.lang.Class

Method Detail

### checkForNonCustomPrimaryKey

    public void checkForNonCustomPrimaryKey(java.lang.Class primaryKeyClass)

  Determine based on the primaryKeyClass whether this is a custom primary key

### lookupWrapperForBean

    public java.lang.Object lookupWrapperForBean(java.lang.Object bean,
                                                 java.lang.Object primaryKeyObject,
                                                 Session session)

  Return the remote from the home by primary key. Validate inheritance for the object.

### wrapObject

    public java.lang.Object wrapObject(java.lang.Object bean,
                                       Session session)

  Wrap the bean with its remote.
  Parameters:
    `session` - the session to wrap the object against.
  Returns:
    java.lang.Object the wrapped object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD